.sidebar-contact-information {
    position: fixed;
    height: 50px;
    width: 50px;
    z-index: 56;
}
.sidebar-contact-information #scroll-to-top-button:hover {
    box-shadow: 0 0 0 .1rem rgb(var(--color-button-hover));
}

.sidebar-contact-information.pc-position-right {
    top: 40%;
    right: 15px;
}

.sidebar-contact-information.pc-position-left {
    top: 40%;
    left: 15px;
}

@media (max-width: 796px) {
    .sidebar-contact-information .sidebar {
        top: auto;
        position: absolute;
        bottom: -520px;
    }

    .sidebar-contact-information .sidebar.active {
        bottom: 50px;
    }
    .sidebar-contact-information .sidebar.active
}

/*wap端用 电脑端的class*/
@media (max-width: 769px) {
    .sidebar-contact-information.h5-position-right-center {
        right: 15px;
        top: 40%;
    }

    .sidebar-contact-information.h5-position-right-center .sidebar .bar {
        bottom: 0;
        top: 40%;
    }

    .sidebar-contact-information.h5-position-right-center .sidebar .icon-plus {
        display: none;
    }

    .sidebar-contact-information.h5-position-right-bottom {
        top: auto;
        right: 15px;
        bottom: 80px;
    }

    .sidebar-contact-information.h5-position-left-center {
        left: 15px;
        top: 40%;
    }

    .sidebar-contact-information.h5-position-right-center .sidebar {
        bottom: 0;
        top: 40%;
    }

    .sidebar-contact-information.h5-position-left-center .sidebar .icon-plus {
        display: none;
    }

    .sidebar-contact-information.h5-position-left-bottom {
        top: auto;
        left: 15px;
        bottom: 80px;
    }

    .sidebar-contact-information.right_sidebar.wap-position-right-center {

    }

}

.sidebar-contact-information .sidebar {
    transition: all 0.3s ease-in;
}


.sidebar-contact-information #scroll-to-top-button {
    cursor: pointer;
    width: 50px;
    height: 50px;
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
    margin-top: 5px;
    transition: all 0.2s ease-in-out;
    padding: 0;


}

.sidebar-contact-information .item {

    cursor: pointer;
    width: 50px;
    height: 50px;
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
    margin-top: 5px;
    background-color: rgb(var(--color-background));
    border: 1px solid #ececec;
    transition: all 0.2s ease-in-out;
    color: #ffffff;
}

.sidebar-contact-information .item .f-svg-icon {
    width: 21px;
    height: 21px;
}

.sidebar-contact-information .item .f-svg-icon.wechat, .sidebar-contact-information .item.side_line .f-svg-icon, .sidebar-contact-information .item.side_telegram .f-svg-icon {
    width: 23px;
    height: 23px;
}

.sidebar-contact-information .item.side_email {
    color: #FD9D0B;
}

.sidebar-contact-information .item.side_whatsapp {
    color: #37DE55;
}

.sidebar-contact-information .item.side_skype {
    color: #01B0F2;
}

.sidebar-contact-information .item.side_telegram {
    color: #34ADE2;
}

.sidebar-contact-information .item.side_wechat {
    position: relative;
    color: #00CC0A;
}

.sidebar-contact-information .item.side_line {
    color: #00C300;
}

.sidebar-contact-information .item.side_phone {
    color: #FF7E11;
    position: relative;
}

/*hover*/

.sidebar-contact-information .item:hover {
    color: #FFFFFF;
}

.sidebar-contact-information .item.side_email:hover {
    background-color: #FD9D0B;
    border-color: #FD9D0B;
}

.sidebar-contact-information .item.side_phone:hover {
    background-color: #FF7E11;
    border-color: #FF7E11;
}

.sidebar-contact-information .item.side_whatsapp:hover {
    background-color: #37DE55;
    border-color: #37DE55;
}

.sidebar-contact-information .item.side_skype:hover {
    background-color: #01B0F2;
    border-color: #01B0F2;
}

.sidebar-contact-information .item.side_telegram:hover {
    background-color: #34ADE2;
    border-color: #34ADE2;
}

.sidebar-contact-information .item.side_wechat:hover {
    background-color: #00CC0A;
    border-color: #00CC0A;
}

.sidebar-contact-information .item.side_wechat .wechat_code {
    opacity: 0.4;
    position: absolute;
    width: 120px;
    min-width: 120px; /* 防止被压缩 */
    height: 120px;
    right: 55px;
    top: 0;
    box-shadow: 0 0 6px 0 rgba(0, 0, 0, .11);
    transition: all 0.3s ease-in;
    object-fit: contain;

}

/*微信二维码*/
.sidebar-contact-information.pc-position-left .item.side_wechat:hover .wechat_code {
    display: block !important;
    opacity: 1;
    left: 55px;
    right: auto;
}

.sidebar-contact-information.pc-position-right .item.side_wechat:hover .wechat_code {
    display: block !important;
    opacity: 1;
    right: 55px;
    left: auto;
}

@media (max-width: 796px) {
    .sidebar-contact-information.h5-position-left-center .item.side_wechat:hover .wechat_code {
        display: block !important;
        opacity: 1;
        left: 55px;
        right: auto;
    }

    .sidebar-contact-information.h5-position-left-bottom .item.side_wechat:hover .wechat_code {
        display: block !important;
        opacity: 1;
        left: 55px;
        right: auto;
    }
}

/*手机联系方式*/
.sidebar-contact-information .item.side_phone .phone-number {
    opacity: 0.4;
    position: absolute;
    padding: 8px 10px;
    right: 60px;
    top: 50%;
    transform: translateY(-50%);
    box-shadow: 0 0 6px 0 rgba(0, 0, 0, .11);
    transition: all 0.3s ease-in;
    background: rgb(var(--color-tooltip));
    color: rgb(var(--color-tooltip-text));
    border-radius: 4px;
    line-height: 1;
    font-family: initial;
}

.sidebar-contact-information .item.side_phone .phone-number::after {
    content: '';
    position: absolute;
    left: 100%;
    top: 50%;
    transform: translateY(-50%);
    border: 8px solid transparent;
    border-left-color: rgb(var(--color-tooltip));
}

.sidebar-contact-information.pc-position-left .item.side_phone:hover .phone-number {
    display: block !important;
    opacity: 1;
    left: 55px;
    right: auto;
}

.sidebar-contact-information.pc-position-right .item.side_phone:hover .phone-number {
    display: block !important;
    opacity: 1;
    right: 60px;
    left: auto;
}

@media (max-width: 796px) {
    .sidebar-contact-information.h5-position-left-center .item.side_phone:hover .phone-number {
        display: block !important;
        opacity: 1;
        left: 60px;
        right: auto;
    }

    .sidebar-contact-information.h5-position-left-center .item.side_phone:hover .phone-number::after {
        left: auto;
        right: 100%;
        border-right-color: rgb(var(--color-tooltip));
        border-left-color: rgba(255, 255, 255, 0);
    }

    .sidebar-contact-information.h5-position-left-bottom .item.side_phone:hover .phone-number {
        display: block !important;
        opacity: 1;
        left: 60px;
        right: auto;
    }

    .sidebar-contact-information.h5-position-left-bottom .item.side_phone:hover .phone-number::after {
        left: auto;
        right: 100%;
        border-right-color: rgb(var(--color-tooltip));
        border-left-color: rgba(255, 255, 255, 0);
    }
}


.sidebar-contact-information .item.side_line:hover {
    background-color: #00C300;
    border-color: #00C300;
}

.sidebar-contact-information .icon-plus {
    border-color: #fd9d0b;
    background-color: #fd9d0b;
    color: #FFFFFF;
    display: flex;
    align-items: center;
    justify-content: center;
}

.sidebar-contact-information .icon-plus.rotate {
    transform: rotate(45deg);
}

.sidebar-contact-information .icon-plus {
    display: none;
}

@media (max-width: 769px) {
    .sidebar-contact-information.h5-position-right-bottom .icon-plus {
        display: flex;
    }

    .sidebar-contact-information.h5-position-left-bottom .icon-plus {
        display: flex;
    }
}